Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Interface CellDesignerPlug

All Known Implementing Classes:
  CellDesignerPlugin

    public interface CellDesignerPlug

Interface class of CellDesignerPlugin.

Author:

Method Summary
`void` | `addPluginMenu()` Adds the PluginMenu to CellDesigner.
`boolean` | `isStarted()`
`void` | `modelClosed(PluginSBase sbase)` Called when Model is closed on CellDesigner.
`void` | `modelClosed(SBase sbase)` Called when Model is closed on CellDesigner.
`void` | `modelOpened(PluginSBase sbase)` Called when Model is opened on CellDesigner.
`void` | `modelOpened(SBase sbase)` Called when Model is opened on CellDesigner.
`void` | `modelSelectChanged(PluginSBase sbase)` Called when the selected Model is changed on CellDesigner.
`void` | `modelSelectChanged(SBase sbase)` Called when the selected Model is changed on CellDesigner.
`boolean` | `notifySBaseAdded(PluginSBase sbase)` Notifies CellDesigner when SBase is added.
`boolean` | `notifySBaseChanged(PluginSBase sbase)` Notifies CellDesigner when some properties of SBase are changed.
`boolean` | `notifySBaseDeleted(PluginSBase sbase)` Notifies CellDesigner when SBase is deleted.
`void` | `SBaseAdded(PluginSBase sbase)` Called when a PluginSBase is added on CellDesigner.
`void` | `SBaseAdded(SBase sbase)` Called when SBase is added on CellDesigner.
`void` | `SBaseAdded(jp.sbi.celldesigner.SpeciesAlias alias, Species parent)` Called when SBase is added on CellDesigner.
`void` | `SBaseChanged(PluginSBase sbase)` Called when some properties of PluginSBase are changed on CellDesigner.
`void` | `SBaseChanged(SBase sbase)` Called when some properties of SBase are changed on CellDesigner.
`void` | `SBaseChanged(jp.sbi.celldesigner.SpeciesAlias alias, Species parent)` Called when some properties of SBase are changed on CellDesigner.
`void` | `SBaseDeleted(PluginSBase sbase)` Called when PluginSBase is deleted on CellDesigner.
`void` | `SBaseDeleted(SBase sbase)` Called when SBase is deleted on CellDesigner.
`void` | `SBaseDeleted(jp.sbi.celldesigner.SpeciesAlias alias, Species parent)` Called when SBase is deleted on CellDesigner.
`boolean` | `SBaseSelected()`

Method Detail

### addPluginMenu

    void addPluginMenu()

  Adds the PluginMenu to CellDesigner.

### isStarted

    boolean isStarted()

  Returns:
    true if plug is starting, false otherwise.

### SBaseAdded

    void SBaseAdded(PluginSBase sbase)

  Called when a PluginSBase is added on CellDesigner.

  Parameters:
    `sbase` - PluginSBase

### SBaseAdded

    void SBaseAdded(SBase sbase)

  Called when SBase is added on CellDesigner.

  Parameters:
    `sbase` -

### SBaseAdded

    void SBaseAdded(jp.sbi.celldesigner.SpeciesAlias alias,
                    Species parent)

  Called when SBase is added on CellDesigner.

  Parameters:
    `alias` - the SpeciesAlias of Species added
    `parent` - Species

### SBaseChanged

    void SBaseChanged(PluginSBase sbase)

  Called when some properties of PluginSBase are changed on CellDesigner.

  Parameters:
    `sbase` -

### SBaseChanged

    void SBaseChanged(SBase sbase)

  Called when some properties of SBase are changed on CellDesigner.

  Parameters:
    `sbase` -

### SBaseChanged

    void SBaseChanged(jp.sbi.celldesigner.SpeciesAlias alias,
                      Species parent)

  Called when some properties of SBase are changed on CellDesigner.

  Parameters:
    `alias` - the SpeciesAlias of Species changed
    `parent` - Species

### SBaseDeleted

    void SBaseDeleted(PluginSBase sbase)

  Called when PluginSBase is deleted on CellDesigner.

  Parameters:
    `sbase` - PluginSBase

### SBaseDeleted

    void SBaseDeleted(SBase sbase)

  Called when SBase is deleted on CellDesigner.

  Parameters:
    `sbase` -

### SBaseDeleted

    void SBaseDeleted(jp.sbi.celldesigner.SpeciesAlias alias,
                      Species parent)

  Called when SBase is deleted on CellDesigner.

  Parameters:
    `alias` - the SpeciesAlias of Species deleted
    `parent` - Species

### modelOpened

    void modelOpened(PluginSBase sbase)

  Called when Model is opened on CellDesigner.

  Parameters:
    `sbase` -

### modelOpened

    void modelOpened(SBase sbase)

  Called when Model is opened on CellDesigner.

  Parameters:
    `sbase` -

### modelSelectChanged

    void modelSelectChanged(PluginSBase sbase)

  Called when the selected Model is changed on CellDesigner.

  Parameters:
    `sbase` - PluginSBase

### modelSelectChanged

    void modelSelectChanged(SBase sbase)

  Called when the selected Model is changed on CellDesigner.

  Parameters:
    `sbase` -

### modelClosed

    void modelClosed(PluginSBase sbase)

  Called when Model is closed on CellDesigner.

  Parameters:
    `sbase` - PluginSBase

### modelClosed

    void modelClosed(SBase sbase)

  Called when Model is closed on CellDesigner.

  Parameters:
    `sbase` -

### notifySBaseAdded

    boolean notifySBaseAdded(PluginSBase sbase)

  Notifies CellDesigner when SBase is added.

  Parameters:
    `sbase` -

### notifySBaseChanged

    boolean notifySBaseChanged(PluginSBase sbase)

  Notifies CellDesigner when some properties of SBase are changed.

  Parameters:
    `sbase` -

### notifySBaseDeleted

    boolean notifySBaseDeleted(PluginSBase sbase)

  Notifies CellDesigner when SBase is deleted.

  Parameters:
    `sbase` -

### SBaseSelected

    boolean SBaseSelected()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD